Home > Gentoo Error > Gentoo Error Python Gobject/dbus May Be Not Installed

Gentoo Error Python Gobject/dbus May Be Not Installed

Contents

This saves kernel recompilations and reboots; only HPLIP needs to be recompiled for the USE flags changes to take effect. If installing the plugin with hp-setup or hp-plugin fails, the plugin installer is available for download at the openprinting site. File "./plugin_install.py", line 78 except ImportError, e: ^ SyntaxError: invalid syntax error: Python gobject/dbus may be not installed You need to use python 2 to run the script instead of python However, hp-setup tries to automatically install the plugin. news

For installing just the plugin without configuring printer queues '''hp-plugin''' is available. Problem makes scanner non-functional. Done Building dependency tree Reading state information... Click here follow the steps to fix Error Python Gobject/dbus May Be Not Installed and related errors.

Gentoo Cups

note: Installation of dependencies requires an active internet connection. Switch to Python 2 by using eselect python to fix this. Done. Arch Linux HomePackagesForumsWikiBugsAURDownload Index Rules Search Register Login You are not logged in.

SANE/XSANE not finding hpaio scanner Problem: SANE or XSANE can still not find a hpaio-based scanner. dev-util/strace) is your friend and may further help. == See also == * [[Printing|Gentoo Printing Guide]] == External resources == * [https://launchpad.net/hplip HPLIP at launchpad] * [https://bugs.launchpad.net/hplip Lauchpad bug tracker] * Natalia Bidart (nataliabidart) wrote on 2015-03-11: Re: [Bug 1430561] Re: hp-plugin crashes with error: Python gobject/dbus may be not installed #10 Download full text (25.2 KiB) Hey goutam, libtool was already Cups Archlinux To install the plugin the downloaded .run file has to executed in a shell: root #sh hplip-version-plugin.run Afterwards follow the instructions of the installer similar to hp-setup or hp-plugin.

A symptom of this problem, you may get segfaults when starting XSane. (i.e. Gentoo Sane To be able to set up a network printer {{Package|net-print/cups-1.5}} has to be built with USE ''avahi'' or ''slp''. But the package is available and installed: [email protected]:~$ apt-cache policy libtool libtool:   Installed: 2.4.2-1.11   Candidate: 2.4.2-1.11   Version table: *** 2.4.2-1.11 0         500 http://archive.ubuntu.com/ubuntu/ vivid/main amd64 Packages         see here Perhaps it is a problem of the Python3 transition.

The corrupted system files entries can be a real threat to the well being of your computer. Cups Filter Failed All good. > Uncompressing HPLIP 3.15.2 Self Extracting Archive............................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................... Thanks goutam!!! Uncompressing HPLIP 3.15.2 Self Extracting Archive........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

Gentoo Sane

If HPLIP was installed with the qt4 USE flag enabled, use the "HP Device Manager" to configure the devices. https://ubuntuforums.org/showthread.php?t=2269350 How can such a critical bug be "medium" and unassigned since several months? Gentoo Cups To be able to print on a network printer, HPLIP needs to be built with USE snmp. Gentoo Hplip Same error when running sh hplip-3.15.2.run: INSTALL MISSING REQUIRED DEPENDENCIES ------------------------------------- warning: There are 1 missing REQUIRED dependencies.

Run 'make' command. 4. navigate to this website Done The following packages will be REMOVED: libtool* 0 upgraded, 0 newly installed, 1 to remove and 52 not upgraded. MY PRINTER DOES NOT DO ANYTHING!!!!! SANE/XSANE SANE_BACKENDS or media-gfx/sane-backends used to require 'hp' or the 'hp' USE Flag. Hpijs Vs Hpcups

local minimal Only build internal hpijs/hpcups driver (not recommended at all, make sure you know what you are doing) local parport Enable parallel port for devices which require it Is HPLIP installed? About Us Contact us Privacy Policy Terms of use Skip to content Ignore Learn more Please note that GitHub no longer supports old versions of Firefox. More about the author Is there another way to resolve this other than to compile and install hplip manually?

Edit Remove 86 This bug affects 17 people Affects Status Importance Assigned to Milestone HPLIP Edit Confirmed Undecided Unassigned Edit One Hundred Papercuts Edit Confirmed Medium Unassigned Edit hplip (Ubuntu) Edit Sane Linux The default install enables dynamically generated ppd files at runtime. Privacy policy About Gentoo Wiki Disclaimers © 2001–2016 Gentoo Foundation, Inc.

Please tell there whether all is working for you with the new package.

The default install enables dynamically generated PPD files at runtime. It claims that python-dbus and python-gobject aren't installed and fails to copy the driver over, despite those packages being installed. So please go to bug #1422004 and follow the instructions of comment #33 there to make your printer working. This can be done later as well using the "HP Device Manager" or the CUPS web interface which is located at http://localhost:631/.

Processing triggers for man-db (2.7.0.2-5) ... See {{Bug|277404|site=launchpad}} which was initially opened in the year 2008 and {{Bug|19640|site=fdo}} for more information. {{Note|Bug #277404 has not been fixed as of =net-print/hplip-3.13, and the PPD file installed is still If the module should be permanently disabled, it can be blacklisted to prevent automatic loading at boot time. http://blogeurope.net/gentoo-error/gentoo-error-parsing-proxy-url.php We apologize for the inconvenience Till Kamppeter (till-kamppeter) wrote on 2015-12-14: #24 goutam, as the problem is in the plugin and not in the HPLIP package, can you fix all versions

Needs net-print/hplip installed. hpaio }} === Kernel === USB NoteNeither HPLIP's hp-scan -g nor SANE's scanimage -L reported any useful information concerning this permissions problem. A list with devices requiring the binary plugin including the reasons why it is needed is available at the project's [http://hplipopensource.com/hplip-web/plugin.html homepage]. Daniel Holbach (dholbach) wrote on 2015-03-18: #14 This is an issue for me as well.

Printing paused Problem: Printing does not immediately start after submitting a job.